LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Exported Interfaces | Public Attributes | List of all members
DataPilotItem Service Reference

represents a single item in a data pilot field. More...

`import"DataPilotItem.idl";`

Inheritance diagram for DataPilotItem:

## Exported Interfaces
interface | com::sun::star::container::XNamed
| provides access to the name of the data pilot item. More...
interface | com::sun::star::beans::XPropertySet
| service PropertySet More...

## Public Attributes
boolean | ShowDetail
| specifies whether the item is showing detail. More...
boolean | IsHidden
| specifies whether the item is hidden. More...
long | Position
| specifies the item's position in its field if sorting is manual. More...

## Additional Inherited Members
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...

## Detailed Description

represents a single item in a data pilot field.

## Exported Interfaces

interface com::sun::star::beans::XPropertySet

service PropertySet

provides access to the properties.

interface com::sun::star::container::XNamed

provides access to the name of the data pilot item.

Only the `getName()` method is provided.

## Member Data Documentation

boolean IsHidden
| property

specifies whether the item is hidden.

long Position
| optional property

specifies the item's position in its field if sorting is manual.

Since
  OOo 2.4

boolean ShowDetail
| property

specifies whether the item is showing detail.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataPilotItem.idl